Package org.apache.jmeter.report.processor

# Class SumAggregatorFactory

java.lang.Object
org.apache.jmeter.report.processor.AbstractAggregatorFactory
org.apache.jmeter.report.processor.SumAggregatorFactory

All Implemented Interfaces:
  `AggregatorFactory`

public class SumAggregatorFactory extends AbstractAggregatorFactory
A factory for creating SumAggregator objects.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SumAggregatorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Aggregator`
  `createAggregator()`

  ### Methods inherited from class org.apache.jmeter.report.processor.AbstractAggregatorFactory

  `createAggregatedKeyValueAggregator, createKeyAggregator, createValueAggregator`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SumAggregatorFactory

    public SumAggregatorFactory()

- ## Method Details

  - ### createAggregator

    protected Aggregator createAggregator()
    Specified by:
      `createAggregator` in class `AbstractAggregatorFactory`